#!/bin/sh
#############################################################################
#                                                                           #
# Short version of ww3_tp2.3, with files prepared indirectory.              #
#                                                                           #
#                                              Hendrik Tolman, Jan. 2013    #
#                                                                           #
#    Copyright 2013 National Weather Service (NWS),                         #
#       National Oceanic and Atmospheric Administration.  All rights        #
#       reserved.  WAVEWATCH III is a trademark of the NWS.                 #
#       No unauthorized use without permission.                             #
#                                                                           #
#############################################################################

  rm -f *.out
  rm -f *.ww3
  rm -f ww3.*

  echo ' ' ; echo ' '
  echo '                  ======> TEST RUN WAVEWATCH III <====== '
  echo '                    ==================================   '
  echo '                                   propagation (GSE) test'
  echo ' '

# 1. Grid pre-processor -----------------------------------------------------

  echo ' '
  echo '+--------------------+'
  echo '|  Grid preprocessor |'
  echo '+--------------------+'
  echo ' '

  echo "   Screen ouput routed to ww3_grid.out"
  ww3_grid > ww3_grid.out

  grep 'PRO' ww3_grid.out > run_ID

  res=`grep 'Increments' ww3_grid.out | awk '{ print $4 }'`
  unt=`grep 'Increments' ww3_grid.out | awk '{ print $2 }'`
  xfr=`grep 'Increment factor' ww3_grid.out | awk '{ print $4 }'`
  dth=`grep 'Directional increment' ww3_grid.out | awk '{ print $4 }'`

  echo "Grid resolution $res $unt, spectral resolution XFR = $xfr, $dth degr." > grd_ID

# 2. Initial conditions -----------------------------------------------------

  echo ' '
  echo '+--------------------+'
  echo '| Initial conditions |'
  echo '+--------------------+'
  echo ' '

  echo "   Screen ouput routed to ww3_strt.out"
  ww3_strt > ww3_strt.out

# 3. Main program -----------------------------------------------------------

  echo ' '
  echo '+--------------------+'
  echo '|    Main program    |'
  echo '+--------------------+'
  echo ' '

  ww3_shel

# 4. Gridded output ---------------------------------------------------------

  echo ' '
  echo '+--------------------+'
  echo '|   Gridded output   |'
  echo '+--------------------+'
  echo ' '

  echo "   Screen output routed to ww3_outf.out"
  ww3_outf > ww3_outf.out

  echo ' '
  echo "   Screen output routed to gx_outf.out"
  gx_outf > gx_outf.out

  grads -pc "run map2_3"

# 5. End, cleaning up -------------------------------------------------------

  rm -f *.ww3
# rm -f *.out
# rm -f ww3.*

  echo ' ' ; echo ' '
  echo '                  ======>  END OF WAVEWATCH III  <====== '
  echo '                    ==================================   '
  echo ' '

# End of run_it.sh ----------------------------------------------------------
